@extends('volunteer.include.main')
@section('title')
TIP-OA: {{$title}}
@endsection
@section('content')

    <!-- Button trigger modal -->

    <div class="card mt-5">
        <div class="card-header">
            <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">{{$title}}</div>
                </div>
            </div>

        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example1" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Sr#</th>
                            <th>Date</th>
                            <th>Time</th>
                            <th>Zoom Link</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $i = 1;
                        @endphp
                        @foreach ($dat as $item)
                            <tr>
                                <td>{{ $i }}</td>
                                <td>{{ $item->date }}</td>
                                <td>{{ $item->time }}</td>
                                <td>{{$item->zoom_link}}</td>
                                @if($item->status == "P")
                                    <td>
                                        {{-- delete --}}
                                        <!-- Button trigger modal -->
                                        <a type="button" class="btn btn-danger mt-3" data-bs-toggle="modal"
                                            data-bs-target="#modelsel{{ $item->id }}">
                                            Select
                                        </a>

                                        <!-- Modal -->
                                        <div class="modal fade" id="modelsel{{ $item->id }}" tabindex="-1" role="dialog"
                                            aria-labelledby="normalmodal" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="normalmodal1">Select {{ $item->name }}
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                            aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>
                                                    <form action="{{ route('volunteer.interview-slots.status', [$item->id , 'A']) }}"
                                                        method="POST">
                                                        @csrf
                                                        @method('put')
                                                        <div class="modal-body">
                                                            Are you sure you want to select this slot?
                                                            <table id="example1" class="table card-table table-vcenter text-nowrap border p-0">
                                                                <thead>
                                                                    <tr>
                                                                       <th>Time</th>
                                                                       <th>Date</th> 
                                                                        <th>Zoom Link</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                    <tr>
                                                                        <td>{{ $item->date }}</td>
                                                                          <td>{{ $item->time }}</td>
                                                                          <td>{{ $item->zoom_link }}</td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="submit" class="btn btn-danger">Yes</button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>

                                        {{-- end delete --}}

                                    </td>
                                @else
                                    <td>Selected</td>
                                @endif

                            </tr>
                            @php
                                $i++;
                            @endphp
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection
