@extends('volunteer.include.main')
@section('title')
TIP-OA: Training Batch
@endsection
@section('content')

    <div class="card">
        <div class="card-header">
             <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">Training Batch</div>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Batch No</th>
                            <th>Date</th>
                            <th>Time </th>
                            <th>Action</th>


                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($training as $item)
                        @if($item->is_mandatory == "special")
                          @if($item->checkMend(Auth::user()->id)  )
                                <tr>
                                        <td>{{ $item->batch_no }}</td>
                                        <td>{{ $item->batch_date }}</td>
                                        <td>{{ $item->batch_starttime }}</td>
                                        <td> 
                                            <a data-bs-toggle="modal" data-bs-target="#modelconfirm{{ $item->id }}"
                                            class="btn btn-success" href="#">Select</a>
                                            {{-- <a data-bs-toggle="modal" data-bs-target="#modelselect{{ $item->id }}"
                                                class="btn btn-primary" href="#">Select Other</a> --}}
                                        </td>

                                            <div class="modal fade" id="modelconfirm{{ $item->id }}" tabindex="-1" role="dialog"
                                                aria-labelledby="normalmodal" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="normalmodal">Select
                                                                {{ $item->full_name }}</h5>
                                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                aria-label="Close">
                                                                <span aria-hidden="true">×</span>
                                                            </button>
                                                        </div>
                                                            <div class="modal-body">
                                                                Are You Really Want To Select This Training Batch?
                                                            </div>
                                                            <div class="modal-footer">
                                                                <a href="{{ route('volunteer.training.confirm', $item->id) }}" class="btn btn-success">Confirm</a>
                                                            </div>
                                                        
                                                    </div>
                                                </div>
                                            </div>

                                            {{-- <div class="modal fade" id="modelselect{{ $item->id }}" tabindex="-1" role="dialog"
                                                aria-labelledby="normalmodal " aria-hidden="true">
                                                <div class="modal-dialog modal-lg" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="normalmodal">Select Other
                                                                {{ $item->full_name }}</h5>
                                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                aria-label="Close">
                                                                <span aria-hidden="true">×</span>
                                                            </button>
                                                        </div>
                                                        <form action=""
                                                            method="POST">
                                                            @csrf
                                                            @method('put')
                                                            <div class="modal-body">
                                                                <div class="row">
                                                                    <div class="col-md-5 col-lg-6">
                                                                        <div class="form-group">
                                                                            <label for="vlntr_assign_color">Training Batch</label>
                                                                            <select class="form-control select2-show-search " id="vlntr_assign_color"
                                                                                name="vlntr_assign_color" data-placeholder="Choose one (with searchbox)">
                                                                                <optgroup label="color">
                                                                                        <option value="Green">Green</option>
                                                                                        <option value="Amber">Amber</option>
                                                                                        <option value="Red">Red</option>
                                                                                </optgroup>
                                                                            </select>
                                                                            </div>    
                                                                    </div>
                                                                    @php
                                                                        $slot = App\Models\InterviewSlot::whereStatus("P")->get();
                                                                    @endphp

                                                                    <div class="col-md-5 col-lg-6">
                                                                        <div class="form-group">
                                                                            <label for="vlntr_assign_color">Interview Slot</label>
                                                                            <select class="form-control select2-show-search " id="vlntr_assign_color"
                                                                                name="vlntr_assign_color" data-placeholder="Choose one (with searchbox)">
                                                                                <optgroup label="color">
                                                                                        @foreach ( $slot as $s)
                                                                                        <option value="{{ $s->id}}">{{}}</option> 
                                                                                        @endforeach
                                                                                </optgroup>
                                                                            </select>
                                                                            </div>    
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-info"
                                                                    data-bs-dismiss="modal">Close</button>
                                                                <button type="submit" class="btn btn-success">Confirm</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div> --}}
                        
                                </tr>
                           @endif
                         @else
                            <tr>
                                <td>{{ $item->batch_no }}</td>
                                <td>{{ $item->batch_date }}</td>
                                <td>{{ $item->batch_starttime }}</td>
                                <td> 
                                    @if ($item->checkBatch(Auth::user()->id))
                                        Selected
                                    @else
                                    <a data-bs-toggle="modal" data-bs-target="#modelconfirm{{ $item->id }}"
                                        class="btn btn-success" href="#">Select</a>
                                         
                                    <div class="modal fade" id="modelconfirm{{ $item->id }}" tabindex="-1" role="dialog"
                                        aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal">Select
                                                        {{ $item->full_name }}</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                    <div class="modal-body">
                                                        Are You Really Want To Select This Training Batch?
                                                    </div>
                                                    <div class="modal-footer">
                                                        <a href="{{ route('volunteer.training.confirm', $item->id) }}" class="btn btn-success">Confirm</a>
                                                    </div>
                                                
                                            </div>
                                        </div>
                                    </div>
                                    @endif
                                  </td>
                           </tr>
                         @endif
                        @endforeach
                   
                    </tbody>
                </table>
            </div>
        </div>
    </div>

   
    {{-- detail model --}}
    <div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>





@endsection

