<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TrainingBatchNotesUpdate extends Model
{
    use HasFactory;
    protected $fillable =[
        
        'training_batch_trainees_updates',
        'volunteer_notes',
        'volunteer_skills',
        'generate_ticket',
        'ticket_title',
        'ticket_priority',
        'ticket_desc',
        'updated_by',
        'attendence',
    ];

    public function userBatch(){
        return $this->belongsTo('App\Models\TrainingBatch' , 'training_batch_trainees_updates');
    }
}
