<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInterviewSheetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('interview_sheets', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('candidate_id')->nullable();
            $table->bigInteger('interviewer1_id')->nullable();
            $table->bigInteger('interviewer2_id')->nullable();
            $table->bigInteger('interviewer3_id')->nullable();
            $table->bigInteger('Interview_slot_id')->nullable();
            $table->string('interview_date')->nullable();
            $table->string('volunteer_language')->nullable();
            $table->string('education')->nullable();
            $table->text('why_interested_volunteering')->nullable();
            $table->text('prior_volunteering_experience')->nullable();
            $table->text('experience_explain_geriatic_pop_mental_helth')->nullable();
            $table->text('impact_hope_involvement')->nullable();
            $table->text('describe_communication_style_close_you')->nullable();
            $table->text('comfortable_languages')->nullable();
            $table->text('senario_speak_client_with_compalaints')->nullable();
            $table->text('have_question')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('interview_sheets');
    }
}
