@php
$path = '/';
@endphp

<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>

    <!-- Meta data -->
    <meta charset="UTF-8">
    <meta name='viewport' content='width=device-width, initial-scale=1.0, user-scalable=0'>
    <meta content="Dashtic - Bootstrap Webapp Responsive Dashboard Simple Admin Panel Premium HTML5 Template"
        name="description">
    <meta content="Spruko™ Technologies Private Limited" name="author">
    <meta name="keywords"
        content="Admin, Admin Template, Dashboard, Responsive, Admin Dashboard, Bootstrap, Bootstrap 4, Clean, Backend, Jquery, Modern, Web App, Admin Panel, Ui, Premium Admin Templates, Flat, Admin Theme, Ui Kit, Bootstrap Admin, Responsive Admin, Application, Template, Admin Themes, Dashboard Template" />

    <!-- Title -->
    <title>
        TIP-OA: Login
    </title>

    <!--Favicon -->
    <link rel="icon" href="{{ asset($path . 'admin/assets/images/brand/favicon.ico') }}" type="image/x-icon" />

    <!-- Bootstrap css -->
    <link href="{{ asset($path . 'admin/assets/plugins/bootstrap/css/bootstrap.css') }}" rel="stylesheet" />

    <!-- Style css -->
    <link href="{{ asset($path . 'admin/assets/css-rtl/style.css') }}" rel="stylesheet" />

    <!-- Dark css -->
    <link href="{{ asset($path . 'admin/assets/css-rtl/dark.css') }}" rel="stylesheet" />

    <!-- Skins css -->
    <link href="{{ asset($path . 'admin/assets/css-rtl/skins.css') }}" rel="stylesheet" />

    <!-- Animate css -->
    <link href="{{ asset($path . 'admin/assets/css-rtl/animated.css') }}" rel="stylesheet" />

    <!---Icons css-->
    <link href="{{ asset($path . 'admin/assets/plugins/web-fonts/icons.css') }}" rel="stylesheet" />
    <link href="{{ asset($path . 'admin/assets/plugins/web-fonts/font-awesome/font-awesome.min.css') }}" rel="stylesheet">
    <link href="{{ asset($path . 'admin/assets/plugins/web-fonts/plugin.css') }}" rel="stylesheet" />

</head>

<body class="h-100vh page-style1 light-mode default-sidebar">
    <div class="page">
        <div class="page-single">
            <div class="container">
                <div class="row">
                    <div class="col mx-auto">
                        <div class="row justify-content-center">
                            <div class="col-md-7 col-lg-5">
                                <div class="card card-group mb-0">
                                    <div class="card p-4">
                                        <div class="card-body">
                                            <div class="text-center title-style mb-6">
                                                <h1 class="mb-2">Login</h1>
                                                <hr>
                                                <p class="text-muted">Login</p>
                                                <form method="POST" action="{{ route('login') }}">
                                                    @csrf

                                                    <div class="row mb-3">
                                                        <label for="email"
                                                            class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>

                                                        <div class="col-md-6">
                                                            <input id="email" type="email"
                                                                class="form-control @error('email') is-invalid @enderror"
                                                                name="email" value="{{ old('email') }}" required
                                                                autocomplete="email" autofocus>

                                                            @error('email')
                                                                <span class="invalid-feedback" role="alert">
                                                                    <strong>{{ $message }}</strong>
                                                                </span>
                                                            @enderror
                                                        </div>
                                                    </div>

                                                    <div class="row mb-3">
                                                        <label for="password"
                                                            class="col-md-4 col-form-label text-md-right">{{ __('Password') }}</label>

                                                        <div class="col-md-6">
                                                            <input id="password" type="password"
                                                                class="form-control @error('password') is-invalid @enderror"
                                                                name="password" required
                                                                autocomplete="current-password">

                                                            @error('password')
                                                                <span class="invalid-feedback" role="alert">
                                                                    <strong>{{ $message }}</strong>
                                                                </span>
                                                            @enderror
                                                        </div>
                                                    </div>

                                                    <div class="row mb-3">
                                                        <div class="col-md-6 offset-md-4">
                                                            <div class="form-check">
                                                                <input class="form-check-input" type="checkbox"
                                                                    name="remember" id="remember"
                                                                    {{ old('remember') ? 'checked' : '' }}>

                                                                <label class="form-check-label" for="remember">
                                                                    {{ __('Remember Me') }}
                                                                </label>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row mb-0">
                                                        <div class="col-md-8 offset-md-4">
                                                            <button type="submit" class="btn btn-primary">
                                                                {{ __('Login') }}
                                                            </button>

                                                            @if (Route::has('password.request'))
                                                                <a class="btn btn-link"
                                                                    href="{{ route('password.request') }}">
                                                                    {{ __('Forgot Your Password?') }}
                                                                </a>
                                                            @endif
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <script src="{{ asset($path . 'adminassets/js/vendors/jquery-3.5.1.min.js') }}"></script>

                            <!-- Bootstrap4 js-->
                            <script src="{{ asset($path . 'adminassets/plugins/bootstrap/popper.min.js') }}"></script>
                            <script src="{{ asset($path . 'adminassets/plugins/bootstrap/js/bootstrap.min.js') }}"></script>

                            <!--Othercharts js-->
                            <script src="{{ asset($path . 'adminassets/plugins/othercharts/jquery.sparkline.min.js') }}"></script>

                            <!-- Circle-progress js-->
                            <script src="{{ asset($path . 'adminassets/js/vendors/circle-progress.min.js') }}"></script>

                            <!-- Jquery-rating js-->
                            <script src="{{ asset($path . 'adminassets/plugins/rating/jquery.rating-stars.js') }}"></script>

</body>

</html>
